Bug 1568384

Summary: Unable to run ansible playbook method via Simulate
Product: Red Hat CloudForms Management Engine Reporter: Dmitry Misharov <dmisharo>
Component: AutomateAssignee: Lucy Fu <lufu>
Status: CLOSED CURRENTRELEASE QA Contact: Dmitry Misharov <dmisharo>
Severity: medium Docs Contact:
Priority: high    
Version: 5.9.0CC: cpelland, mkanoor, obarenbo, tfitzger
Target Milestone: GAKeywords: TestOnly, ZStream
Target Release: 5.10.0   
Hardware: All   
OS: All   
Whiteboard: automate:ansible
Fixed In Version: 5.10.0.0 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1570821 (view as bug list) Environment:
Last Closed: 2019-02-11 14:00:29 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1562782, 1570821    

Description Dmitry Misharov 2018-04-17 11:57:47 UTC
Version-Release number of selected component (if applicable):
5.9.2.2.20180410215257_6961422

How reproducible:
Always

Steps to Reproduce:
1. Enable Embedded Ansible role.
2. Add an ansible repository.
3. Create an Automate Domain, namespace, class, instance.
4. Add an ansible playbook method.
5. Run the instance via Simulate.

Actual results:
An error is occurred "Automation Error: Couldn't find Authentication with 'id'="

Expected results:
The instance should run successfully.

Comment 4 CFME Bot 2018-04-18 21:16:28 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/236806fed3381bdd5e784349edac1bb51aee2bc3
commit 236806fed3381bdd5e784349edac1bb51aee2bc3
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Wed Apr 18 11:58:14 2018 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Wed Apr 18 11:58:14 2018 -0400

    Check for the existence of credentials.

    https://bugzilla.redhat.com/show_bug.cgi?id=1568384

 app/models/manageiq/providers/embedded_ansible/automation_manager/playbook.rb | 2 +-
 spec/models/manageiq/providers/embedded_ansible/automation_manager/playbook_spec.rb | 16 +
 2 files changed, 17 insertions(+), 1 deletion(-)

Comment 6 Dmitry Misharov 2018-06-26 08:53:46 UTC
Fixed and verified in 5.10.0.1.20180619163011_900fdc4. Ansible playbook can be run via Simulation.